=== debian/control ===
Source: wxmaxima
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Frank S. Thomas <fst@debian.org>
Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
Homepage: http://wxmaxima.sourceforge.net/

Package: wxmaxima
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maxima (>= 5.18),
 maxima-doc (>= 5.10.0)
Recommends: ttf-jsmath
Description: GUI for the computer algebra system Maxima
 wxMaxima is a graphical user interface for the computer algebra system
 Maxima. It eases the use of Maxima by making most of its commands available
 through a menu system and by providing input dialogs for commands that
 require more than one argument. It also implements its own display engine
 that outputs mathematical symbols directly instead of depicting them with
 ASCII characters.
 .
 wxMaxima also features 2D and 3D inline plots, simple animations, mixing of
 text and mathematical calculations to create documents, exporting of input
 and output to TeX, and a browser for Maxima's manual including command index
 and full text searching.
