## wxmaxima 0.8.5

=== debian/changelog ===
wxmaxima (0.8.5-2) unstable; urgency=low

  * debian/control: Recommend libgnomeprintui2.2-0 which is required to
    print properly. Thanks to Andres Cimmarusti for hunting down this
    issue. (closes: #575297)

 -- Frank S. Thomas <fst@debian.org>  Sat, 12 Jun 2010 01:58:34 +0200

wxmaxima (0.8.5-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.8.3 to 3.8.4, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Tue, 04 May 2010 22:33:55 +0200
