=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
 Homepage: http://wxmaxima.sourceforge.net/
@@ -13,7 +13,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, maxima (>= 5.18),
  maxima-doc (>= 5.10.0)
-Recommends: ttf-jsmath
+Recommends: ttf-jsmath, libgnomeprintui2.2-0
 Description: GUI for the computer algebra system Maxima
  wxMaxima is a graphical user interface for the computer algebra system
  Maxima. It eases the use of Maxima by making most of its commands available
