## wxmaxima 11.04.0

=== debian/changelog ===
wxmaxima (11.04.0-1) unstable; urgency=low

  * New upstream release.
    - Adds support for CUA editing keys. (closes: #610559)
  * debian/rules: Added a get-orig-source target that calls uscan to document
    explicitly how upstream tarballs are obtained.

 -- Frank S. Thomas <fst@debian.org>  Sat, 23 Apr 2011 00:37:15 +0200

wxmaxima (0.8.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Frank S. Thomas <fst@debian.org>  Sun, 06 Feb 2011 10:29:26 +0100

wxmaxima (0.8.7-1) experimental; urgency=low

  * New upstream release.

 -- Frank S. Thomas <fst@debian.org>  Thu, 27 Jan 2011 08:32:01 +0100

wxmaxima (0.8.6-1) experimental; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.8.4 to 3.9.1, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Sun, 14 Nov 2010 09:20:29 +0100
