=== debian/rules ===
--- 
+++ 
@@ -29,3 +29,8 @@
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/wxmaxima/usr/share/wxMaxima/COPYING
+
+get-orig-source:
+	uscan --force-download --repack --rename --destdir .
+
+.PHONY: get-orig-source
