## wxmaxima 11.08.0

=== debian/changelog ===
wxmaxima (11.08.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version from 3.9.1 to 3.9.2, no changes required.
  * Updated debian/copyright for the new release.

 -- Frank S. Thomas <fst@debian.org>  Mon, 15 Aug 2011 08:11:02 +0200
