=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
 Build-Depends: debhelper (>= 7.0.50), autotools-dev, libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
-Homepage: http://wxmaxima.sourceforge.net/
+Homepage: http://andrejv.github.com/wxmaxima/
 
 Package: wxmaxima
 Architecture: any
