## wxmaxima 12.01.0

=== debian/changelog ===
wxmaxima (12.01.0-1) unstable; urgency=low

  * New upstream release.
    - Registers text/x-wxmaxima-batch as MimeType for wxMaxima documents.
      (closes: #626525)
    - Indicates in the desktop file that a filename can be passed as command
      line argument to wxMaxima. (LP: #887806)
  * Updated debian/copyright according to the latest DEP5 specification.

 -- Frank S. Thomas <fst@debian.org>  Tue, 17 Jan 2012 21:27:27 +0100
