## wxmaxima 12.04.0

=== debian/changelog ===
wxmaxima (12.04.0-1) unstable; urgency=low

  * New upstream release.
    - Shows the output of build_info(). (closes: #670088)
  * Bumped Standards-Version from 3.9.2 to 3.9.3, no changes required.
  * Use debhelper >= 9 and dpkg-buildflags.
  * Added independent license paragraphs to debian/copyright.

 -- Frank S. Thomas <fst@debian.org>  Tue, 01 May 2012 18:04:55 +0200
