## wxmaxima 13.04.2

=== debian/changelog ===
wxmaxima (13.04.2-2) unstable; urgency=low

  * Use dh-autoreconf to support arm64. (closes: #728003)
  * Bumped Standards-Version from 3.9.4 to 3.9.5, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Sun, 16 Mar 2014 10:05:36 +0100

wxmaxima (13.04.2-1.1) unstable; urgency=low

  * Non-maintainer upload at maintainer's request.
  * Update to use wxWidgets 3.0.  (closes: #741569)

 -- Olly Betts <olly@survex.com>  Sat, 15 Mar 2014 10:59:46 +1300

wxmaxima (13.04.2-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable. (closes: #711965)
  * Updated debian/copyright for the new release.
  * Bumped Standards-Version from 3.9.3 to 3.9.4, no changes required.

 -- Frank S. Thomas <fst@debian.org>  Wed, 19 Jun 2013 18:16:46 +0200
