=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Frank S. Thomas <fst@debian.org>
-Build-Depends: debhelper (>= 9), libwxgtk2.8-dev (>= 2.8.4)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/debian-science/packages/wxmaxima.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/wxmaxima.git
 Homepage: http://andrejv.github.com/wxmaxima/
