=== debian/watch ===
version=3
http://sf.net/wxmaxima/ wxMaxima-([\d\.a-z]+)\.tar\.gz
