## wxmaxima 15.08.2

=== debian/changelog ===
wxmaxima (15.08.2-1) unstable; urgency=medium

  * New upstream release. Fixes sidebar buttons and toolbar enable.
  * Removed the broken and duplicate menu file
  * Unbroke the remaining menu file (closes: bug#798156)
  * added a .gbp file for debcheckout
  * Added information about the packaging branch to debian/control
  * Dropped the patch that adds a missing .po file since it was added upstream
  * Dropped the parch that adds a mimetype to the .desktop file (is upstream)
  * Now we register our docs with doc-base
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 09 Sep 2015 03:39:36 +0100

wxmaxima (15.08.1-2) unstable; urgency=medium

  * Added a patch that adds the missing en.po to the tarball.
  * Added a patch that corrects the desktop file.
  * Cleaned up debian/rules
  * Added the .menu file to the debian directory
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Thu, 03 Sep 2015 07:37:36 +0100

wxmaxima (15.08.1-1) unstable; urgency=medium

  * New upstream release (closes: bug#466997) introducing
    syntax highlighting, many performance, stability and usability fixes,
    a content assistant, a state-of-the-art html export,
    compatibility to maxima 5.37, support for a subset of Markdown and
    bash autocompletion
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Tue, 01 Sep 2015 19:03:36 +0100
