=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
 Vcs-Browser: https://github.com/andrejv/wxmaxima
 Standards-Version: 3.9.6
-Vcs-Git: git://git@github.com:andrejv/wxmaxima.git
+Vcs-Git: git://git@github.com:andrejv/wxmaxima.git -b DebianPackaging
 Homepage: http://andrejv.github.com/wxmaxima/
 
 Package: wxmaxima
