=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-printing
 
+override_dh_auto_build:
+	make
+	make allmo
+
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/wxmaxima/usr/share/wxMaxima/COPYING
