=== debian/watch ===
version=3
http://sf.net/wxmaxima/wxmaxima-(\d\S*)\.tar\.gz
