## wxmaxima 16.04.1

=== debian/changelog ===
wxmaxima (16.04.1-1) unstable; urgency=medium

  * New upstream release. Fixes another printing problem, a possible crash
    and a scrolling issue.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 06 Apr 2016 12:17:36 +0100

wxmaxima (16.04.0-1) unstable; urgency=medium

  * New upstream release. Fixes printing and brings in many new features,
    bug fixes, performance and stability improvements.
  * Moved the patch that removes the double menu upstream
  * Deleted the .menu file that should be obsolete by now, anyway.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 03 Apr 2016 18:28:36 +0100
