=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Gunter Königsmann <wxmaxima@physikbuch.de>
 Build-Depends: debhelper (>= 9), dh-autoreconf, libwxgtk3.0-dev, perl, texinfo, gettext
 Vcs-Browser: https://github.com/andrejv/wxmaxima
-Standards-Version: 3.9.6
-Vcs-Git: git://git@github.com:andrejv/wxmaxima.git -b DebianPackaging
+Standards-Version: 3.9.7
+Vcs-Git: https://github.com/andrejv/wxmaxima.git -b DebianPackaging
 Homepage: http://andrejv.github.com/wxmaxima/
 
 Package: wxmaxima
