## wxmaxima 16.04.2

=== debian/changelog ===
wxmaxima (16.04.2-1) unstable; urgency=medium

  * New upstream release. Fixes bugs reported since the last release including
    special cases of integrals and fractions.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 11 May 2016 21:20:36 +0100
