=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 export DEB_CXXFLAGS_MAINT_APPEND = -Wall -DNDEBUG
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
