## wxmaxima 16.12.2

=== debian/changelog ===
wxmaxima (16.12.2-3) unstable; urgency=medium

  * Added a patch that corrects the size of embedded plots. (Closes: #870499)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 2 Aug 2017 19:57:36 +0100

wxmaxima (16.12.2-2) unstable; urgency=medium

  * Fix an incompatibility with current versions of gcl. (Closes: #853787)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 24 Jul 2017 16:37:36 +0100

wxmaxima (16.12.2-1) unstable; urgency=medium

  * New upstream release that repairs drag-and-drop.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Wed, 25 Jan 2017 22:41:36 +0100

wxmaxima (16.12.0-1) unstable; urgency=medium

  * New upstream release. Contains literally hundreds of bug fixes,
    performance improvements and usability improvements.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Mon, 12 Dec 2016 06:42:36 +0100
