## wxmaxima 17.10.1

=== debian/changelog ===
wxmaxima (17.10.1-1) unstable; urgency=medium

  * New upstream release incorporating all the patches and enabling
    tooltips for the more exotic worksheet items
  * Dropped all the patches.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 22 Oct 2017 06:40:36 +0100

wxmaxima (17.10.0-3) unstable; urgency=medium

  * debian/control: Instead of dropping the dependency to a specific maxima
    I accidentally dropped the dependency to maxima entirely.
    (closes: bug#877891)
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 6 Oct 2017 21:52:36 +0100

wxmaxima (17.10.0-2) unstable; urgency=medium

  * Patch: One of the bugfixes in wxMaxima could cause a race condition that could
    cause maxima's output to be attached to the wrong input cell => Reverted that
    bugfix as attaching the output at the right place is more important than
    supporting :lisp commands in the very first cell of the worksheet.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Fri, 6 Oct 2017 9:25:36 +0100

wxmaxima (17.10.0-1) unstable; urgency=medium

  * New upstream release with many new features, bugfixes and performance
    improvements.
  * Switched the build system to cmake replacing the dependency to dh-autoreconf
    by the dependency to cmake.
  * Bumped the standards version to 3.9.8
  * debian/rules: Cleaned up override_dh_auto_build and override_dh_auto_install
  * debian/control: wxMaxima doesn't depend on a specific version of maxima and
    maxima-doc.
  * debian/control: There is a good fallback for a missing fonts-jsmath.
    maxima-doc isn't necessary for running wxMaxima and the type of pdf
    animations texlive-latex-extra was needed for are no more
    supported by any major pdf viewer => Changed these packages to "suggested".
  * debian/control: Dropped the dependency to ImageMagick, perl and texinfo
    which are no more used.
  * debian/copyright: wxmathml.lisp has been replaced by wxmathml.lisp.in
  * debian/watch: github is the new project location.
  *  Tried to make the watch file work again.
  * Dropped all patches as they were upstreamed.
  * Added a Patch that updates the location of appdata.xml
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sun, 1 Oct 2017 21:12:36 +0100
