## wxmaxima 18.02.0

=== debian/changelog ===
wxmaxima (18.02.0-2) unstable; urgency=medium

  * Added a patch that repairs "Replace all" when not matching the case.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 21 Feb 2018 03:25:36 +0100

wxmaxima (18.02.0-1) unstable; urgency=medium

  * New upstream release (closes: bug#890637, #890212)
  * Added a patch that makes the new version use the correct gnuplot parameters.
 -- Gunter Königsmann <wxmaxima@physikbuch.de>  Sat, 17 Feb 2018 19:07:36 +0100
