=== debian/rules ===
--- 
+++ 
@@ -8,14 +8,10 @@
 export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed
 
 %:
-	dh $@ --with autoreconf
-
-override_dh_auto_configure:
-	dh_auto_configure -- --enable-printing
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_build:
-	make
-	make allmo
+	dh_auto_build -- all
 
 override_dh_auto_install:
 	dh_auto_install
